Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.tags
Class JasperViewerTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.springframework.web.servlet.tags.RequestContextAwareTag
              com.jaspersoft.jasperserver.war.tags.JasperViewerTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

    public class JasperViewerTag

extends org.springframework.web.servlet.tags.RequestContextAwareTag

renderJsp parameter allows override of default output format for HTML controls

Version:
  $Id: JasperViewerTag.java 8867 2007-06-22 16:07:37Z lucian $
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DEFAULT_JASPER_PRINT_ATTRIBUTE`
`static java.lang.String` | `DEFAULT_LINK_PRODUCER_FACTORY_ATTRIBUTE`
`static java.lang.String` | `DEFAULT_PAGE_INDEX_ATTRIBUTE`
`static java.lang.String` | `DEFAULT_RENDER_JSP`
`static java.lang.String` | `EMPTY_REPORT_ATTRIBUTE`
`protected static java.lang.String` | `JASPER_PRINT_ACCESSOR_BEAN_NAME`
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag
`logger, REQUEST_CONTEXT_PAGE_ATTRIBUTE`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`JasperViewerTag()`

Method Summary
`int` | `doEndTag()`
`protected int` | `doStartTagInternal()`
`java.lang.String` | `getExporterClassName()`
`java.util.Map` | `getExporterParameters()`
`java.lang.String` | `getImageServlet()`
`protected net.sf.jasperreports.engine.JasperPrint` | `getJasperPrint(javax.servlet.http.HttpServletRequest request)`
`protected SessionObjectSerieAccessor` | `getJasperPrintAccessor()`
`java.lang.String` | `getJasperPrintAttribute()`
`java.lang.String` | `getLinkProducerFactoryAttribute()`
`java.lang.String` | `getPage()`
`java.lang.String` | `getPageIndexAttribute()`
`java.lang.String` | `getRenderJsp()`
`void` | `setExporterClassName(java.lang.String exporterClassName)`
`void` | `setExporterParameters(java.util.Map exporterParameters)`
`void` | `setImageServlet(java.lang.String imageServlet)`
`void` | `setJasperPrintAttribute(java.lang.String jasperPrintAccessorAttribute)`
`void` | `setLinkProducerFactoryAttribute(java.lang.String linkHandlerFactoryAttribute)`
`void` | `setPage(java.lang.String page)`
`void` | `setPageIndexAttribute(java.lang.String pageIndexAttribute)`
`void` | `setRenderJsp(java.lang.String renderJsp)`

Methods inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag
`doCatch, doFinally, doStartTag, getRequestContext`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

### DEFAULT_RENDER_JSP

    public static final java.lang.String DEFAULT_RENDER_JSP

See Also:
  Constant Field Values

### DEFAULT_JASPER_PRINT_ATTRIBUTE

    public static final java.lang.String DEFAULT_JASPER_PRINT_ATTRIBUTE

See Also:
  Constant Field Values

### DEFAULT_PAGE_INDEX_ATTRIBUTE

    public static final java.lang.String DEFAULT_PAGE_INDEX_ATTRIBUTE

See Also:
  Constant Field Values

### DEFAULT_LINK_PRODUCER_FACTORY_ATTRIBUTE

    public static final java.lang.String DEFAULT_LINK_PRODUCER_FACTORY_ATTRIBUTE

See Also:
  Constant Field Values

### EMPTY_REPORT_ATTRIBUTE

    public static final java.lang.String EMPTY_REPORT_ATTRIBUTE

See Also:
  Constant Field Values

### JASPER_PRINT_ACCESSOR_BEAN_NAME

    protected static final java.lang.String JASPER_PRINT_ACCESSOR_BEAN_NAME

See Also:
  Constant Field Values

Constructor Detail

### JasperViewerTag

    public JasperViewerTag()

Method Detail

### doStartTagInternal

    protected int doStartTagInternal()

  Specified by:
    `doStartTagInternal` in class `org.springframework.web.servlet.tags.RequestContextAwareTag`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### getJasperPrint

    protected net.sf.jasperreports.engine.JasperPrint getJasperPrint(javax.servlet.http.HttpServletRequest request)

### getJasperPrintAccessor

    protected SessionObjectSerieAccessor getJasperPrintAccessor()

### getImageServlet

    public java.lang.String getImageServlet()

### setImageServlet

    public void setImageServlet(java.lang.String imageServlet)

### getPage

    public java.lang.String getPage()

### setPage

    public void setPage(java.lang.String page)

### getRenderJsp

    public java.lang.String getRenderJsp()

### setRenderJsp

    public void setRenderJsp(java.lang.String renderJsp)

### getExporterClassName

    public java.lang.String getExporterClassName()

### setExporterClassName

    public void setExporterClassName(java.lang.String exporterClassName)

### getExporterParameters

    public java.util.Map getExporterParameters()

  Returns:
    Returns the exporterParameters.

### setExporterParameters

    public void setExporterParameters(java.util.Map exporterParameters)

  Parameters:
    `exporterParameters` - The exporterParameters to set.

### getJasperPrintAttribute

    public java.lang.String getJasperPrintAttribute()

### setJasperPrintAttribute

    public void setJasperPrintAttribute(java.lang.String jasperPrintAccessorAttribute)

### getPageIndexAttribute

    public java.lang.String getPageIndexAttribute()

### setPageIndexAttribute

    public void setPageIndexAttribute(java.lang.String pageIndexAttribute)

### getLinkProducerFactoryAttribute

    public java.lang.String getLinkProducerFactoryAttribute()

### setLinkProducerFactoryAttribute

    public void setLinkProducerFactoryAttribute(java.lang.String linkHandlerFactoryAttribute)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.